Docs

Add Task Attribute

POST /taskAttributes

POST/taskAttributes

Creates a custom task attribute at the end of the attribute order; options only apply to the Select and MultiSelect types. Needs an event token and the event project management admin permission.

Request Body

FieldTypeRequiredDescription
namestringOptional
typestringOptional
isRequiredbooleanOptional
optionsAddTaskAttributeRequestOption[]Optional

AddTaskAttributeRequestOption

FieldTypeDescription
valuestring| null
colorstring| null
iconstring| null